Skip to content

Openportal Managed Projects

Operations Summary

Method Endpoint Description
Core CRUD
GET /api/openportal-managed-projects/ List all managed projects
GET /api/openportal-managed-projects/{identifier}/{destination}/ Retrieve a managed project
Other Actions
POST /api/openportal-managed-projects/{identifier}/{destination}/approve/ Approve managed project request
POST /api/openportal-managed-projects/{identifier}/{destination}/attach/ Attach a project to this managed project
POST /api/openportal-managed-projects/{identifier}/{destination}/detach/ Detach the project from this managed project
POST /api/openportal-managed-projects/{identifier}/{destination}/reject/ Reject managed project request
DELETE /api/openportal-managed-projects/{identifier}/{destination}/delete/ Delete ManagedProject object

Core CRUD

List all managed projects

List all managed projects

1
2
3
4
http \
  GET \
  https://api.example.com/api/openportal-managed-projects/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.remote_project_update_request_state_enum import RemoteProjectUpdateRequestStateEnum # (1)
from waldur_api_client.api.openportal_managed_projects import openportal_managed_projects_list # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = openportal_managed_projects_list.sync(client=client)

for item in response:
    print(item)
  1. Model Source: RemoteProjectUpdateRequestStateEnum
  2. API Source: openportal_managed_projects_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { openportalManagedProjectsList } from 'waldur-js-client';

try {
  const response = await openportalManagedProjectsList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
identifier string
local_identifier string
o string Which field to use when ordering the results.
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.
project string (uri)
project_template string (uri)
project_template_uuid string (uuid)
project_uuid string (uuid)
query string
state array

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
state string
created string (date-time)
reviewed_at string (date-time) Timestamp when the review was completed
reviewed_by_full_name string
reviewed_by_uuid string (uuid)
review_comment string Optional comment provided during review
identifier string
destination string The destination used to send instructions from the remote portal.
details any
project string (uri)
project_data any
project_template string (uri)
project_template_data any
local_identifier string The local project identifier in this portal.

Retrieve a managed project

Retrieve a managed project

1
2
3
4
http \
  GET \
  https://api.example.com/api/openportal-managed-projects/string-value/string-value/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.openportal_managed_projects import openportal_managed_projects_retrieve_get # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = openportal_managed_projects_retrieve_get.sync(
    destination="string-value",
    identifier="string-value",
    client=client
)

print(response)
  1. API Source: openportal_managed_projects_retrieve_get
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
import { openportalManagedProjectsRetrieveGet } from 'waldur-js-client';

try {
  const response = await openportalManagedProjectsRetrieveGet({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "destination": "string-value",
    "identifier": "string-value"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
destination string ✓ The destination of the managed project
identifier string ✓ The identifier of the managed project

200 -

Field Type Description
state string
created string (date-time)
reviewed_at string (date-time) Timestamp when the review was completed
reviewed_by_full_name string
reviewed_by_uuid string (uuid)
review_comment string Optional comment provided during review
identifier string
destination string The destination used to send instructions from the remote portal.
details any
project string (uri)
project_data any
project_template string (uri)
project_template_data any
local_identifier string The local project identifier in this portal.

Other Actions

Approve managed project request

Approve managed project request

1
2
3
4
http \
  POST \
  https://api.example.com/api/openportal-managed-projects/string-value/string-value/approve/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.review_comment_request import ReviewCommentRequest # (1)
from waldur_api_client.api.openportal_managed_projects import openportal_managed_projects_approve # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ReviewCommentRequest()
response = openportal_managed_projects_approve.sync(
    destination="string-value",
    identifier="string-value",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ReviewCommentRequest
  2. API Source: openportal_managed_projects_approve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
import { openportalManagedProjectsApprove } from 'waldur-js-client';

try {
  const response = await openportalManagedProjectsApprove({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "destination": "string-value",
    "identifier": "string-value"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
destination string ✓ The destination of the managed project
identifier string ✓ The identifier of the managed project
Field Type Required Description
comment string Optional comment for review

200 - No response body


Attach a project to this managed project

Attach a project to this managed project

1
2
3
4
5
http \
  POST \
  https://api.example.com/api/openportal-managed-projects/string-value/string-value/attach/ \
  Authorization:"Token YOUR_API_TOKEN" \
  project_uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.project_attach_request import ProjectAttachRequest # (1)
from waldur_api_client.api.openportal_managed_projects import openportal_managed_projects_attach # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ProjectAttachRequest(
    project_uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890"
)
response = openportal_managed_projects_attach.sync(
    destination="string-value",
    identifier="string-value",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ProjectAttachRequest
  2. API Source: openportal_managed_projects_attach
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
import { openportalManagedProjectsAttach } from 'waldur-js-client';

try {
  const response = await openportalManagedProjectsAttach({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "destination": "string-value",
    "identifier": "string-value"
  },
  body: {
    "project_uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
destination string ✓ The destination of the managed project
identifier string ✓ The identifier of the managed project
Field Type Required Description
project_uuid string (uuid) ✓ UUID of the project to attach to this managed project

200 - No response body


Detach the project from this managed project

Detach the project from this managed project

1
2
3
4
http \
  POST \
  https://api.example.com/api/openportal-managed-projects/string-value/string-value/detach/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.openportal_managed_projects import openportal_managed_projects_detach # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = openportal_managed_projects_detach.sync(
    destination="string-value",
    identifier="string-value",
    client=client
)

print(response)
  1. API Source: openportal_managed_projects_detach
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
import { openportalManagedProjectsDetach } from 'waldur-js-client';

try {
  const response = await openportalManagedProjectsDetach({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "destination": "string-value",
    "identifier": "string-value"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
destination string ✓ The destination of the managed project
identifier string ✓ The identifier of the managed project

200 - No response body


Reject managed project request

Reject managed project request

1
2
3
4
http \
  POST \
  https://api.example.com/api/openportal-managed-projects/string-value/string-value/reject/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.review_comment_request import ReviewCommentRequest # (1)
from waldur_api_client.api.openportal_managed_projects import openportal_managed_projects_reject # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ReviewCommentRequest()
response = openportal_managed_projects_reject.sync(
    destination="string-value",
    identifier="string-value",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ReviewCommentRequest
  2. API Source: openportal_managed_projects_reject
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
import { openportalManagedProjectsReject } from 'waldur-js-client';

try {
  const response = await openportalManagedProjectsReject({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "destination": "string-value",
    "identifier": "string-value"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
destination string ✓ The destination of the managed project
identifier string ✓ The identifier of the managed project
Field Type Required Description
comment string Optional comment for review

200 - No response body


Delete ManagedProject object

Delete ManagedProject object

1
2
3
4
http \
  DELETE \
  https://api.example.com/api/openportal-managed-projects/string-value/string-value/delete/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.openportal_managed_projects import openportal_managed_projects_delete_destroy # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = openportal_managed_projects_delete_destroy.sync(
    destination="string-value",
    identifier="string-value",
    client=client
)

print(response)
  1. API Source: openportal_managed_projects_delete_destroy
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
import { openportalManagedProjectsDeleteDestroy } from 'waldur-js-client';

try {
  const response = await openportalManagedProjectsDeleteDestroy({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "destination": "string-value",
    "identifier": "string-value"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
destination string ✓ The destination of the managed project
identifier string ✓ The identifier of the managed project

204 - No response body